Package jakarta.security.auth.message.callback

# Class SecretKeyCallback.AliasRequest

java.lang.Object
jakarta.security.auth.message.callback.SecretKeyCallback.AliasRequest

All Implemented Interfaces:
  `SecretKeyCallback.Request`

Enclosing class:
  SecretKeyCallback

public static class SecretKeyCallback.AliasRequest extends Object implements SecretKeyCallback.Request

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AliasRequest(String alias)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlias()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AliasRequest

    public AliasRequest(String alias)

- ## Method Details

  - ### getAlias

    public String getAlias()